%define major 0
%define libname %mklibname mimic %major
%define develname %mklibname -d mimic

Summary:	Audio/Video Conference software for Instant Messengers
Name:		libmimic
Version:	1.0.4
Release:	%mkrel 18
License:	LGPLv2+
Url:		https://sourceforge.net/projects/farsight/
Group:		Networking/Instant messaging
Source0:	https://downloads.sourceforge.net/farsight/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0.4-fix-underlinking.patch
BuildRequires:	glib2-devel

%description
Audio/Video Conference software for Instant Messengers.
It aims to provide Audio/Video conferencing for as many
Instant Messengers as possible through a modular design.

%package -n %libname
Group: System/Libraries
Summary:Audio/Video Conference software for Instant Messengers
Obsoletes: libmimic

%description -n %libname
Audio/Video Conference software for Instant Messengers.
It aims to provide Audio/Video conferencing for as many
Instant Messengers as possible through a modular design.

%package -n %develname
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Headers of %{name} for development.


%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%{_libdir}/libmimic.so.%{major}{,.*}

%files -n %develname
%{_includedir}/mimic.h
%{_libdir}/libmimic.so
%{_libdir}/pkgconfig/libmimic.pc


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 1.0.4-18.mga9
+ Revision: 1795139
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.0.4-17.mga8
+ Revision: 1514237
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-16.mga7
+ Revision: 1298994
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.0.4-15.mga7
+ Revision: 1235727
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-14.mga6
+ Revision: 944583
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-13.mga5
+ Revision: 740271
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-12.mga5
+ Revision: 726752
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-11.mga5
+ Revision: 681604
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-10.mga4
+ Revision: 507155
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-9.mga3
+ Revision: 357763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 1.0.4-8.mga1
+ Revision: 47160
- disable static build and don't ship .la
- drop old/unneeded scriptlets
- imported package libmimic


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-7mdv2011.0
+ Revision: 620153
- the mass rebuild of 2010.0 packages

* Wed Jun 10 2009 Jérôme Brenier <incubusss@mandriva.org> 1.0.4-6mdv2010.0
+ Revision: 384962
- fix underlinking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.4-3mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Götz Waschk <waschk@mandriva.org>
    - fix license

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.0.4-3mdv2008.0
+ Revision: 80957
- fix buildrequires
- libify the package


* Thu Mar 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.4-3mdk
- Fix File section

* Thu Mar 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Fix sub-packaging naming

* Thu Mar 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.4-1mdk
- First Mandriva release

